# Interface Event

All Known Implementing Classes:
  `DefaultEvent`

@UML(identifier="MI_Event", specification=ISO_19115_2) public interface Event
Identification of a significant collection point within an operation.

Since:
  2.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Context`
  `getContext()`
  Meaning of the event.
  `Collection<? extends Objective>`
  `getExpectedObjectives()`
  Objective or objectives satisfied by an event.
  `Identifier`
  `getIdentifier()`
  Event name or number.
  `PlatformPass`
  `getRelatedPass()`
  Pass during which an event occurs.
  `Collection<? extends Instrument>`
  `getRelatedSensors()`
  Instrument or instruments for which the event is meaningful.
  `Sequence`
  `getSequence()`
  Relative time ordering of the event.
  `Date`
  `getTime()`
  Time the event occurred.
  `Trigger`
  `getTrigger()`
  Initiator of the event.

- ## Method Details

  - ### getIdentifier

    @UML(identifier="identifier", obligation=MANDATORY, specification=ISO_19115_2) Identifier getIdentifier()
    Event name or number.
    Returns:
      Event name or number.

  - ### getTrigger

    @UML(identifier="trigger", obligation=MANDATORY, specification=ISO_19115_2) Trigger getTrigger()
    Initiator of the event.
    Returns:
      Initiator of the event.

  - ### getContext

    @UML(identifier="context", obligation=MANDATORY, specification=ISO_19115_2) Context getContext()
    Meaning of the event.
    Returns:
      Meaning of the event.

  - ### getSequence

    @UML(identifier="sequence", obligation=MANDATORY, specification=ISO_19115_2) Sequence getSequence()
    Relative time ordering of the event.
    Returns:
      Relative time ordering.

  - ### getTime

    @UML(identifier="time", obligation=MANDATORY, specification=ISO_19115_2) Date getTime()
    Time the event occurred.

    Warning: The return type of this method may change in GeoAPI 3.1 release. It may be replaced by a type matching more closely either ISO 19108 (Temporal Schema) or ISO 19103.

    Returns:
      Time the event occurred

  - ### getExpectedObjectives

    @UML(identifier="expectedObjective", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends Objective> getExpectedObjectives()
    Objective or objectives satisfied by an event.
    Returns:
      Objectives satisfied by an event.

  - ### getRelatedPass

    @UML(identifier="relatedPass", obligation=OPTIONAL, specification=ISO_19115_2) PlatformPass getRelatedPass()
    Pass during which an event occurs.
    Returns:
      Pass during which an event occurs.

  - ### getRelatedSensors

    @UML(identifier="relatedSensor", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends Instrument> getRelatedSensors()
    Instrument or instruments for which the event is meaningful.
    Returns:
      Instruments for which the event is meaningful.